package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.entity.ImSendGroupMessage;
import com.ym.mec.common.service.BaseService;
import org.springframework.transaction.annotation.Transactional;

public interface ImSendGroupMessageService extends BaseService<Long, ImSendGroupMessage> {

    @Transactional(rollbackFor = Exception.class)
    void sendTimedMessages() throws Exception;

    //发送群消息
    void sendGroupMessage(ImSendGroupMessage imSendGroupMessage) throws Exception;

    //修改未发送的群消息
    void updateGroupMessage(ImSendGroupMessage imSendGroupMessage);

    void deleteGroupMessage(Long id);

    void deleteGroupList(Long imSendGroupMessageId, String groupIds);

    void addGroupList(Long imSendGroupMessageId, String groupIds);
}